Mesh FromPartShape

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Mesh FromPartShape and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente: Mesh ExportMesh.png Exporter un maillage
Page suivante: Tracé de courbure Mesh CurvaturePlot.png Arrow-right.svg

Mesh MeshFromShape.png Mesh Créer un maillage à partir d'une forme ‏‎

Emplacement du menu
Maillages → Créer un maillage à partir d'une forme
Ateliers
Maillages
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi


Introduction

Cette commande crée un objet maillage à partir d'un objet forme.

Utilisation

Il y a deux méthodes :

  1. Soit sélectionner l’objet forme, puis choisir MaillagesMesh Mesh from Shape.svg Créer un maillage à partir de la forme... dans le menu supérieur.
  2. Ou juste sélectionner MaillagesMesh Mesh from Shape.svg Créer un maillage à partir d'une forme... cela vous proposera un menu supplémentaire pour choisir votre forme à mailler.

Dans les deux cas, vous obtenez un menu qui demande le programme de maillage à utiliser et ses paramètres.
Les paramètres que vous définissez ici seront stockés et utilisés par défaut lors de la création suivante d'un maillage à partir d'une forme. Disponible dans la version 0.19.

Programme mailleur

Vous pouvez choisir l'un de ces 3 programmes mailleurs :

Mailleur Standard

Mesh Mesher Standard.jpg

Vous pouvez modifier ces paramètres :

  • Déviation de surface : Déviation linéaire maximale d’une section de maillage depuis la surface de l’objet
  • Déviation angulaire : déviation angulaire maximale d'une section de maillage vers la section suivante
  • Écart de surface relatif : Si cette case est cochée, l'écart linéaire maximal d'un segment de maillage sera l'écart de surface spécifié multiplié par la longueur du segment de maillage actuel (bord).
  • Appliquer des couleurs de face au maillage : si cochée, le maillage obtiendra les couleurs de face de l'objet.
  • Définir les segments par couleur de face : Si cochée, les segments de maillage seront regroupés en fonction de la couleur des faces de l'objet. Ces groupes seront exportés vers les formats de sortie maillés prenant en charge cette fonctionnalité (par exemple, le format OBJ).

Mailleur Mefisto

Mesh Mesher Mefisto.jpg

Le seul paramètre est :

  • Longueur maximale du bord : Si ce nombre est plus petit, le maillage devient plus fin. La plus petite valeur est 0.

Mailleur Netgen

Mesh Mesher Netgen.jpg

Vous pouvez choisir entre les différentes Fineness de maillages proposées :

  • Très grossier
  • Grossier
  • Moyen
  • Fin
  • Très fin
  • Défini par l'utilisateur
Pour cette option vous avez le choix entre ces valeurs :
Gradation de la taille des mailles : Si ce paramètre diminue, le maillage devient plus fin. Les valeurs vont de 0.1 à 1.
Éléments par arête : Si ce paramètre augmente, le maillage devient plus fin. Les valeurs vont de 0.2 à 10.
Éléments par rayon de courbure : Si ce paramètre augmente, le maillage devient plus fin. Les valeurs vont de 0.2 à 10.

Pour chaque Fineness vous pouvez aussi choisir :

  • Optimiser la surface : Créera une optimisation de la surface.
  • Éléments de second ordre : Des éléments de deuxième ordre seront créés.
  • Dominé par quadrilatères: Les mailles utiliseront préférentiellement des faces quadrilatérales.

Utiliser en script

Cet outil peut être utilisé dans des macros et à partir de la console Python à l'aide de la fonction suivante :

MeshPart.meshFromShape(Shape=Shape, MaxLength=520)

Exemple :

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

Notes

Arrow-left.svg Page précédente: Mesh ExportMesh.png Exporter un maillage
Page suivante: Tracé de courbure Mesh CurvaturePlot.png Arrow-right.svg